Subject: Re: [PATCH v14] ath10k: add LED and GPIO controlling support for various chipsets

From: Christian Marangi <[email-masked]>
Date: Fri, 10 May 2024 16:14:45 +0200

On Thu, May 09, 2024 at 09:48:08AM -0700, Jeff Johnson wrote:
> On 5/9/2024 9:37 AM, Jeff Johnson wrote:
> > On 5/8/2024 9:50 PM, Kalle Valo wrote:
> >> Sorry for the delay but finally I looked at this again. I decided to
> >> just remove the fixme and otherwise it looks good for me. Please check
> >> my changes:
> >>
> >> https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git/commit/?h=pending&id=688130a66ed49f20ca0ce02c3987f6a474f7c93a
> >>
> > 
> > I have a question about the copyrights in the two new files:
> > + * Copyright (c) 2018-2023, The Linux Foundation. All rights reserved.
> > 
> > My understanding is that Qualcomm's affiliation with Linux Foundation via Code
> > Aurora ended in December 2021, and hence any contributions in 2022-2023 should
> > be the copyright of Qualcomm Innovation Center, Inc.
> > 
> > 
> 
> ok it seems like Kalle's v13 had:
>  + * Copyright (c) 2018, The Linux Foundation. All rights reserved.
> 
> and Ansuel's v14 has:
>  + * Copyright (c) 2018-2023, The Linux Foundation. All rights reserved.
> 
> So Ansuel, is your work on behalf of The Linux Foundation?
>

When I resubmitted this at times, I just updated the copyright to the
current year so I guess it was wrong doing that?

As you can see from the copyright header this patch went all around and
I think at the end (around 2018) the Linux copyright was added as it was
submitted upstream. (can't remember if maintainers were asking that)

So me watching the old year and resubmitting it, just updated the date.

Soo I think we should revert to 2018?

-- 
	Ansuel